Subject: bug#62738: emacs 28.2: jpgs not rotated

From: Stefan Kangas <[email-masked]>
Date: Thu, 14 Sep 2023 07:53:39 -0700

tags 62738 + unreproducible
thanks

Dan Jacobson <[email-masked]> writes:

> I'm sorry that I didn't save a test case.
> And that um, creating one is kind of complicated for me.
> But no worries, if you find the bug is no longer present,
> I will double check your test case.

Here's a test case:

cd /tmp
wget \
https://upload.wikimedia.org/wikipedia/commons/1/14/Textile%2C_Strawberry_Thief%2C_designed_1883%2C_printed_ca._1934_%28CH_18340065%29_%28sq_cropped%29.jpg
exiftool -Orientation='Rotate 90 CW' Textile*jpg

Now open that file and see that it's rotated in Emacs (the birds will be
pointing to the right, whereas they are pointing up in the original).